Subject: [netatalk-admins] Login

From: Nuno Miguel Neves <[email-masked]>
Date: Fri, 22 Oct 1999 20:12:35 +0100

Hi.
I've installed netatalk (not for the first time), and I can view my server
from a Macintosh. I am even able to mount shares as guest, but when I try to
login, it gives the message
"The connection to this server has been unexpectedly broken."
In the logfiles I see

Oct 22 19:03:36 xxxxxxxxx  afpd[672]: server_child[1] 1039 done
Oct 22 19:03:43 xxxxxxxxx afpd[1040]: ASIP session:548(2) from
194.117.21.104:2054(0)
Oct 22 19:03:43 xxxxxxxxx afpd[672]: server_child[1] 1040 exited 1

Can anyone help on this?

Thanks

--
                  [email-masked]    Dept. Informatica, Fac. Ciencias,
|\ |    |\ |      Tel: +351 1 7500058   Univ. Lisboa, Bloco C5, Campo Grande
| \|uno | \|eves  Fax: +351 1 7500084   1700 Lisboa, Portugal

---

From: Nuno Miguel Neves <[email-masked]>
Date: Fri, 29 Oct 1999 19:58:44 +0100

An answer to my own question :-) (For those who have it too!)
This happened to me after installing the rpm for netatalk.
Since the error was just in the afpd, I've recompiled netatalk the old fashion
way, and substituted the afpd binary only.
(I was having a problem with the old fashion way compiled atalkd, so i left the
rpm binary :-) ).
I know it is a bad solution, but it worked for me!
Hope it works for you too.